import request from "@/utils/request";

// 查询提升机数据
export function getElevatorData(query) {
  return request({
    url: "/business/elevator/real/query",
    method: "get",
    params: query,
  });
}

// 修改水泵开关
export function updatePumpSwitch(data) {
  return request({
    url: "/business/screen/dra/changePumpStatus",
    method: "post",
    data: data,
  });
}

//获取提升机次数
export function getElevatorTimes(query) {
  return request({
    url: "/business/elevator/history/current",
    method: "get",
    params: query,
  });
}
// 获取提升机巡检数据
export function getRecentFive(query) {
  return request({
    url: "business/screen/ele/recentFive",
    method: "get",
    params: query,
  });
}
